Summary:	Bitstream 75dpi bitmap fonts
Summary(pl.UTF-8):	Fonty bitmapowe 75dpi Bitstream
Name:		xorg-font-font-bitstream-75dpi
Version:	1.0.4
Release:	1%{?tld}
License:	MIT
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-bitstream-75dpi-%{version}.tar.xz
# Source0-md5:	95e0bbf17b362686c2bdadafe1b4ac08
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.4
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/75dpi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bitstream 75dpi bitmap fonts: Charter and Terminal.

%description -l pl.UTF-8
Fonty bitmapowe 75dpi Bitstream: Charter i Terminal.

%prep
%setup -q -n font-bitstream-75dpi-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/75dpi

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst 75dpi

%postun
fontpostinst 75dpi

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/75dpi/char*.pcf.gz
%{_fontsdir}/75dpi/tech*.pcf.gz
%{_fontsdir}/75dpi/term*.pcf.gz
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-font-font-bitstream-75dpi.git;a=log;h=master

* Thu Mar 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 9b70acd
- updated to 1.0.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 3a93ac4
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> e7c1561
- dropped pre-cvs changelog

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 14af5e3
- updated to 1.0.3

* Wed Oct 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 1373c6e
- updated to 1.0.2

* Sat Oct 17 2009 Jakub Bogusz <qboosh@pld-linux.org> ef9e7e7
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f28e497
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 77e8cee
- BA: noarch
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 36ecfa8
- informative descs
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9ecc97f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e0119cd
- converted to UTF-8

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 89c80fc
- 1.0.0 (X11R7.0 release)

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 9fc0fd9
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 5bae850
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 156e4c9
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 7737b4f
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c4105b
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

